/******************************************************************************
 *  IBM JEmpower                                                              *
 *                                                                            *
 *  (C) Copyright IBM Corp. 1996                                              *
 *  All Rights Reserved.                                                      *
 *                                                                            *
 *  IBM Confidential                                                          *
 ******************************************************************************
 *                                                                            *
 *  Module Name: JEmpErr.h - JEmpower Errors                                  *
 *                                                                            *
 *****************************************************************************/

#ifndef _JEmpErr_H_
#define _JEmpErr_H_

#define JE_OK                         0
#define JE_ERR_INVALID_APPLET         1
#define JE_ERR_INVALID_CONTEXT        2
#define JE_ERR_INVALID_PARAMETER      3

#define JE_ERR_IO_ERROR             991
#define JE_ERR_RESOURCE_UNAVAILABLE 992
#define JE_ERR_NOT_SUPPORTED        993
#define JE_ERR_ALREADY_INITIALIZED  995
#define JE_ERR_OUT_OF_MEMORY        996
#define JE_ERR_EXCEPTION_OCCURRED   997
#define JE_ERR_NOT_INITIALIZED      998
#define JE_ERR_INTERNAL_ERROR       999

#endif
