/* This file is loaded by the test tool on the different platforms
 * It assumes that JEMPOWER.H, etc, is loaded
 */

#define WIN32_LEAN_AND_MEAN
#include <windows.h>

#include "..\jempower\jempower.h"

JEAPPLETHND CreateApplet(JENATIVEWND hwnd, int *pHeight)
{
   JEAPPLETHND hApplet=0;
   char *origArgv[40];
   long height, width;
   char *docurl = 0;
   char *codebase = 0;
   char *code = 0;
   int argc = 0;
   int noProxy = 0;
   char **argv;
   
   memset(origArgv, 0, sizeof(origArgv));
   
   argv = origArgv;
   
   height = 150;
   width  = 150;
#if 0
   *argv++ = "Color=336699";
   *argv++ = "buttons=/Images/Nav/navbar.gif";
   *argv++ = "background=/Images/Nav/sitehd.gif";
   *argv++ = "sizeX=68";
   *argv++ = "sizeY=61";
   *argv++ = "title.offsetX=60";
   *argv++ = "title.offsetY=4";
   *argv++ = "title.sizeX=333";
   *argv++ = "title.sizeY=35";
   *argv++ = "title.image=/Images/Nav/java_title.gif";
   *argv++ = "title.message=Java Workshop Home Page";
   *argv++ = "title.href=/";
   *argv++ = "buttonsOffsetX=93";
   *argv++ = "buttonsOffsetY=39";
   *argv++ = "demo.offsetX=0";
   *argv++ = "demo.message=Development Tools Overview & Tutorials";
   *argv++ = "demo.href=/over-frm.html";
   *argv++ = "overview.offsetX=68";
   *argv++ = "overview.message=Demo Download Area & Product Pricing";
   *argv++ = "overview.href=/down-frm.html";
   *argv++ = "faq.offsetX=136";
   *argv++ = "faq.message=Resources";
   *argv++ = "faq.href=/resr-frm.html";
   *argv++ = "resources.offsetX=201";
   *argv++ = "resources.message=Java Workshp FAQ";
   *argv++ = "resources.href=/sunsoft/Developer-products/java/technical/FAQ.html";
   docurl  = "http://www.sun.com/sunsoft/Developer-products/java/Workshop/Source/over-frm.html";
   code    = "NavButtons.class";
   codebase = "../Applets";
   width = 465;
   height = 100;
   
#elif 0  
   *argv++ = "TITLE=The Latest Weather";
   *argv++ = "IMAGESOURCE=images/";
   *argv++ = "LABELS=Display data:|Satellite Image|Infrared|Visible|Water Vapor|Surface Reports|Isobars|Isotherms|Frontal Analysis|Radar Summary|Map Boundaries";
   *argv++ = "Display data:=LABEL";
   *argv++ = "Satellite Image=GROUP|INFO=http://covis.atmos.uiuc.edu/covis/visualizer/help/satellite/satellite.shtml";
   *argv++ = "Infrared=GROUP=Satellite Image|URL=satir.gif|PRELOAD|CALIBRATION=IR|INFO=http://covis.atmos.uiuc.edu/covis/visualizer/help/satellite/infrared.html";
   *argv++ = "Visible=GROUP=Satellite Image|URL=satvis.gif|INFO=http://covis.atmos.uiuc.edu/covis/visualizer/help/satellite/visible.html";
   *argv++ = "Water Vapor=GROUP=Satellite Image|URL=satwv.gif|INFO=http://covis.atmos.uiuc.edu/covis/visualizer/help/satellite/wvpr.html";
   *argv++ = "Surface Reports=URL=sfc.gif|INFO=http://covis.atmos.uiuc.edu/covis/visualizer/help/obs/obs.shtml|PRELOAD";
   *argv++ = "Isobars=URL=isobar.gif|INFO=http://covis.atmos.uiuc.edu/covis/visualizer/help/contours/isobar.html";
   *argv++ = "Isotherms=URL=isotherm.gif|INFO=http://covis.atmos.uiuc.edu/covis/visualizer/help/contours/isotherm.html";
   *argv++ = "Frontal Analysis=URL=front.gif|INFO=http://covis.atmos.uiuc.edu/covis/visualizer/help/fronts/fronts.shtml";
   *argv++ = "Radar Summary=URL=radar.gif|INFO=http://covis.atmos.uiuc.edu/covis/visualizer/help/radar/radar.shtml";
   *argv++ = "Map Boundaries=URL=map_nocredit.gif|PRELOAD";
   *argv++ = "HELP=AppletHelp.html";
   *argv++ = "PROJECTION=US";
   *argv++ = "NAVIGATION=projection=Polar Stereographic,scale=0.0807334,xoffset=-240,yoffset=330.34,center_latitude=39.0,center_longitude=-97.0";
   *argv++ = "RELOAD_TIMEOUT=11";
   width = 680;
   height = 780;
   code = "Weather04.class";
   docurl = "http://covis.atmos.uiuc.edu/java/weather0.4/Weather.html";
#elif 0
   *argv++ = "imagesource=borlandad";
   *argv++ = "endimage=4";
   *argv++ = "pause=200";
   *argv++ = "linkto=http://gamelan.earthweb.com/Advertisements/redirect.cgi?key=borland3";
   docurl = "http://www.earthweb.com/javashop/";
   code = "BannerAnimator.class";
   codebase = "borlandad";
   width = 468;
   height = 60;
#elif 0
   /* AKA 130.85.100.32 */
   docurl = "http://www.cs.umbc.edu/~sli2/cube/";
   code = "CubeApp";
   width = 420;
   height = 200;
#elif 1
   noProxy = 0;
   width = 150;
   height = 150;
/*   docurl = "http://lasagna/TicTacToe/"; */
   docurl = "file:////jdk1.1.1/demo/TicTacToe/1.1/";
   code = "TicTacToe";
#elif 0
   *argv++ = "edges=a1-a2,a2-a3,a3-a4,a4-a5,a5-a6,b1-b2,b2-b3,b3-b4,b4-b5,b5-b6,c1-c2,c2-c3,c3-c4,c4-c5,c5-c6,x-a1,x-b1,x-c1,x-a6,x-b6,x-c6";
   width = 500;
   docurl = "http://rocklobster/GraphLayout/";
   code = "Graph";
#elif 0
   *argv++ = "text=You Spin Me Right 'Round,Baby";
   *argv++ = "pause=100";
   *argv++ = "x=500";
   *argv++ = "y=500";
   docurl = "http://www.netrex.com/web/Follow.html";
   code = "FollowText.class";
#elif 0
   *argv++ = "maxwidth=120";
   *argv++ = "nimgs=16";
   *argv++ = "offset=-57";
   *argv++ = "img=images/tumble";
   docurl = "file:////java/demo/TumblingDuke/";
   code = "TumbleItem";
#elif 0
   *argv++ = "coldimg=/alticons/compasscold.gif";
   *argv++ = "hotimg=/alticons/compasshot.gif";
   *argv++ = "target=pages";
   docurl = "http://www.gamelan.com/";
   code = "Navigator.class";
   codebase = "/navigator";
#elif 0
   docurl = "file:////java/demo/CardTest/";
   code = "CardTest";
   width = 400;
   height = 300;
#elif 0
   docurl = "file:////java/demo/NervousText/";
   code = "NervousText";
#endif
   
   if (!noProxy)
   {
      jeSetProperty("proxySet", "true");
      /*jeSetProperty("proxyHost", "screen.lotus.com");*/
      jeSetProperty("proxyHost", "130.103.54.142");
      jeSetProperty("proxyPort", "8080");
      jeSetProperty("trustProxy", "true");
   }
   
   jeAppletInit(&hApplet, 1, hwnd, docurl, code, 0, codebase,
                width, height, 
                (argv - origArgv),
                (const char **)origArgv);
   if (pHeight)
      *pHeight = height;

   return hApplet;
}
